Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.editor
Class EditorLayerMouseMode

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.event.AbstractMouseMode
                  com.bbn.openmap.event.CoordMouseMode
                      com.bbn.openmap.layer.editor.EditorLayerMouseMode

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, LightMapHandlerChild, MapMouseMode, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, PaintListener, PropertyConsumer, java.io.Serializable

public class EditorLayerMouseMode
extends CoordMouseMode

The EditorLayerMouseMode is a mouse mode that is made active when the EditorTool needs events. It serves to ensure that the EditorLayer is the only layer receiving events from the MapBean when the EditorTool needs them, with the addition bonus of being invisible. The EditorTool should take care of indicating what it is doing with the MouseEvents, by creating certain OMGraphics, selecting certain types of objects, etc.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.event.AbstractMouseMode
`AbstractMouseMode.MouseWheelZoomEditor`

Field Summary
`java.lang.String` | `modeID` Mouse Mode identifier, which is "EditorLayer".

Fields inherited from class com.bbn.openmap.event.CoordMouseMode
`infoDelegator`

Fields inherited from class com.bbn.openmap.event.AbstractMouseMode
`cursor, CursorIDProperty, df, guiIcon, iconName, IconProperty, ID, IDProperty, mouseSupport, MouseWheelZoomProperty, prettyName, PrettyNameProperty, visible, ZOOM_IN, ZOOM_OUT, zoomWhenMouseWheelUp`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`EditorLayerMouseMode(java.lang.String idToUse)` Construct a EditorLayerMouseMode.
`EditorLayerMouseMode(java.lang.String idToUse, boolean consumeEvents)` Construct a EditorLayerMouseMode.

Method Summary
`void` | `findAndInit(java.lang.Object someObj)` Called when a CoordMouseMode is added to a BeanContext, or when another object is added to the BeanContext after that.
`void` | `findAndUndo(java.lang.Object someObj)` BeanContextMembershipListener method.
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Fires the MapMouseSupport method.
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Fires the MapMouseSupport method.
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Fires the MapMouseSupport method.
`void` | `mouseExited(java.awt.event.MouseEvent e)` Fires the MapMouseSupport method.
`void` | `mouseMoved(java.awt.event.MouseEvent e)` Fires the MapMouseSupport method.
`void` | `mousePressed(java.awt.event.MouseEvent e)` Fires the MapMouseSupport method.
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Fires the MapMouseSupport method.

Methods inherited from class com.bbn.openmap.event.CoordMouseMode
`createCoordinateInformationLine, fireMouseLocation, getInfoDelegator, setActive, setInfoDelegator`

Methods inherited from class com.bbn.openmap.event.AbstractMouseMode
`actAsProxyFor, actAsProxyFor, addMapMouseListener, getClassToUseForIconRetrieval, getGUIIcon, getIconName, getID, getModeCursor, getMouseSupport, getPrettyName, getProperties, getPropertyInfo, getProxyDistributionMask, isConsumeEvents, isProxyFor, isVisible, isZoomWhenMouseWheelUp, listenerPaint, mouseWheelMoved, releaseProxy, removeAllMapMouseListeners, removeMapMouseListener, setConsumeEvents, setGUIIcon, setIconName, setID, setModeCursor, setModeCursor, setMouseSupport, setPrettyName, setProperties, setProxyDistributionMask, setVisible, setZoomWhenMouseWheelUp`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modeID

    public transient java.lang.String modeID

  Mouse Mode identifier, which is "EditorLayer". This is returned on getID(). This mouse mode is invisible, so id doesn't have to be pretty for the GUI.

Constructor Detail

### EditorLayerMouseMode

    public EditorLayerMouseMode(java.lang.String idToUse)

  Construct a EditorLayerMouseMode. Default constructor. Sets the ID to the modeID, and the consume mode to true.

Parameters:
  `idToUse` - a uniqueID to use just for a particular layer.

### EditorLayerMouseMode

    public EditorLayerMouseMode(java.lang.String idToUse,
                                boolean consumeEvents)

  Construct a EditorLayerMouseMode. The constructor that lets you set the consume mode.

Parameters:
  `idToUse` - a uniqueID to use just for a particular layer.
  `consumeEvents` - the consume mode setting.

Method Detail

### findAndInit

    public void findAndInit(java.lang.Object someObj)

  Description copied from class: `CoordMouseMode`
  Called when a CoordMouseMode is added to a BeanContext, or when another object is added to the BeanContext after that. The CoordMouseMode looks for an InformationDelegator to use to fire the coordinate updates. If another InforationDelegator is added when one is already set, the later one will replace the current one.

  Specified by:
    `findAndInit` in interface `LightMapHandlerChild`
  Overrides:
    `findAndInit` in class `CoordMouseMode`
  Parameters:
    `someObj` - an object being added to the BeanContext.

### findAndUndo

    public void findAndUndo(java.lang.Object someObj)

  Description copied from class: `CoordMouseMode`
  BeanContextMembershipListener method. Called when objects have been removed from the parent BeanContext. If an InformationDelegator is removed from the BeanContext, and it's the same one that is currently held, it will be removed.

  Specified by:
    `findAndUndo` in interface `LightMapHandlerChild`
  Overrides:
    `findAndUndo` in class `CoordMouseMode`
  Parameters:
    `someObj` - an object being removed from the BeanContext.

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Fires the MapMouseSupport method.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseClicked` in class `AbstractMouseMode`
  Parameters:
    `e` - mouse event.

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Fires the MapMouseSupport method.

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `AbstractMouseMode`
  Parameters:
    `e` - mouse event.

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Fires the MapMouseSupport method.

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseReleased` in class `AbstractMouseMode`
  Parameters:
    `e` - mouse event.

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Fires the MapMouseSupport method.

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseEntered` in class `AbstractMouseMode`
  Parameters:
    `e` - mouse event.

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Fires the MapMouseSupport method.

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseExited` in class `AbstractMouseMode`
  Parameters:
    `e` - mouse event.

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Fires the MapMouseSupport method.

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseDragged` in class `CoordMouseMode`
  Parameters:
    `e` - mouse event.

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Fires the MapMouseSupport method.

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseMoved` in class `CoordMouseMode`
  Parameters:
    `e` - mouse event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details